Subject: Re: gc and repack ignore .git/*HEAD when checking reachability

From: Junio C Hamano <[email-masked]>
Date: Thu, 07 Jul 2016 21:34:02 -0700

Josh Triplett <[email-masked]> writes:

> This could result in data loss, if a user expected that having an object
> referenced from those places would protect it from pruning.

Yeah, luckily, nobody expects such.  I do not think any of our
document says nothing other than HEAD like CHERRY_PICK_HEAD is
reachability anchoring point; they are designed to be transient.

Because they are designed to be transient, I do not think there is
any downside (other than the initial start-up cost) to including
them in reachability computation.  Because they are meant to be
transient, the objects anchored by them would be reachable from
other anchoring points anyway.